Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 188601 - Attempt to include nonexistent 'cobertura' cluster
Attempt to include nonexistent 'cobertura' cluster
Status: VERIFIED FIXED
Product: apisupport
Classification: Unclassified
Component: Harness
6.x
All All
: P1 (vote)
: 7.0
Assigned To: Jesse Glick
issues@apisupport
http://hudson.apidesign.org/hudson/jo...
69patch1
:
Depends on:
Blocks: 185047 188164
  Show dependency treegraph
 
Reported: 2010-07-12 15:28 UTC by Jesse Glick
Modified: 2010-07-16 13:47 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2010-07-12 15:28:54 UTC
Due to the fix of bug #185047, the harness was accidentally calling copy-cluster on a nonexistent cluster .../harness/testcoverage/cobertura, because it saw harness/testcoverage/cobertura/lib/*.jar and it looked like a cluster. This was apparently harmless until the fix of bug #188164, which caused the harness to also try to touch ${netbeans.dest.dir}/cobertura/.lastModified, which fails since the containing directory does not exist.
Comment 1 Jesse Glick 2010-07-12 15:38:38 UTC
To reproduce: create a platform app, include entire platform cluster (not just subset), add the harness cluster, and build ZIP distribution. Should fail before fix

.../harness/suite.xml:346: The following error occurred while executing this line:
.../harness/suite.xml:381: Could not create .../build/rest.../cobertura/.lastModified

but succeed afterwards (with ZIP to include full contents of platform and harness clusters as well as added suite cluster). Should also not be able to reproduce bug #185047 failure: uncheck harness cluster, uncheck platform cluster, check Startup in platform cluster, press Resolve Problems, clean, build zip => should create ZIP with just platform/{core,lib}/*.jar pseudomodules.
Comment 2 Jesse Glick 2010-07-12 15:39:37 UTC
core-main #ed27e8783245
Comment 3 Quality Engineering 2010-07-13 03:30:48 UTC
Integrated into 'main-golden', will be available in build *201007130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/ed27e8783245
User: Jesse Glick <jglick@netbeans.org>
Log: #188601: Attempt to include nonexistent 'cobertura' cluster
Comment 4 Jesse Glick 2010-07-13 14:28:11 UTC
Bug #188164 rejected as a backport candidate.
Comment 5 Jesse Glick 2010-07-14 16:09:39 UTC
Again making a backport candidate, as it now blocks a P1.
Comment 6 Jesse Glick 2010-07-14 16:12:23 UTC
Yarda I would appreciate:

- verification that fix works for netbinox

- code review; the affected list should be a list of all clusters found among included files, which is calculated by looking for the parent dirs of either (a) config/Modules/*.xml, or (b) {lib,core}/*.jar, but now only if the parent dir is named platform*, and not e.g. harness/testcoverage/cobertura
Comment 7 Jaroslav Tulach 2010-07-15 09:02:05 UTC
Fix works for Netbinox.

Re. code review - I think your idea is sound. However I am not qualified to review "single line write only reg exp magic". I'd rather be just a dummy user and confirm that Netbinox build is fine now.
Comment 8 pgebauer 2010-07-16 13:47:21 UTC
The fix has been ported into the release691 branch.
http://hg.netbeans.org/release691/rev/eb16888465af


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo